Author Topic: Rasperry Pi  (Read 969 times)

warmach on: April 20, 2015, 08:23:33 PM

  • Senior Fimker
  • ***
  • Posts: 234
    • View Profile
I am back at trying to run a node on a Pi again.  The last time I did this, we were on version 0.2.8 (I think).  I know there has been some serious server updates and was wondering if the same steps were necessary to run the latest version.  Is Java still required?

Thanks!
Warmach's Forging Pool
http://fim.warmach.info/pool/
May the forge be with you...

Dirk Diggler #1 on: April 20, 2015, 09:18:34 PM

  • FIMK Staff
  • *****
  • Posts: 486
    • View Profile
    • Krypto Fin ry
I am back at trying to run a node on a Pi again.  The last time I did this, we were on version 0.2.8 (I think).  I know there has been some serious server updates and was wondering if the same steps were necessary to run the latest version.  Is Java still required?

Thanks!

If you want to forge.. Yes then java is required since the FIMK engine is written is java.
But if you are looking into running mofowallet (the desktop software) then no java is required since it will connect to our hosted cloud instances while all crypto/sensitive operations is handled in javascript (your secret phrase is not required and when you need to sign transaction it's not send to the cloud instances).
FIMK Developer | GPG fingerprint: CEF2 7C39 43BE 6800 504E  71BC 7E87 A7B0 AC34 E2D5 | mofowallet.com | blog